import express from 'express';
import logger from 'morgan'
import './src/config/env'

const app = express();

import indexRouter from './src/routes/index'
import usersRouter from './src/routes/users'

app.use(logger('dev'));
app.use(express.json());
app.use(express.urlencoded({ extended: false }));
// app.use(express.static(path.join(__dirname, 'public')));

app.use('/', indexRouter);
app.use('/users', usersRouter);

let port = 3000
app.listen(port, () => {
    console.log(`App listening on port ${port}`)
})
